org.springframework.web.portlet

## Interface HandlerExceptionResolver

- All Known Implementing Classes:
    AbstractHandlerExceptionResolver, AnnotationMethodHandlerExceptionResolver, SimpleMappingExceptionResolver

      public interface HandlerExceptionResolver

  Interface to be implemented by objects than can resolve exceptions thrown during handler mapping or execution, in the typical case to error views. Implementors are typically registered as beans in the application context.

  Error views are analogous to the error page JSPs, but can be used with any kind of exception including any checked exception, with potentially fine-granular mappings for specific handlers.

  Since:
    2.0
  Author:
    Juergen Hoeller, John A. Lewis

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ModelAndView` | `resolveException(RenderRequest request, RenderResponse response, Object handler, Exception ex)` Try to resolve the given exception that got thrown during on handler execution, returning a ModelAndView that represents a specific error page if appropriate.
    `ModelAndView` | `resolveException(ResourceRequest request, ResourceResponse response, Object handler, Exception ex)` Try to resolve the given exception that got thrown during on handler execution, returning a ModelAndView that represents a specific error page if appropriate.

- - ### Method Detail

    - #### resolveException

          ModelAndView resolveException(RenderRequest request,
                                      RenderResponse response,
                                      Object handler,
                                      Exception ex)

      Try to resolve the given exception that got thrown during on handler execution, returning a ModelAndView that represents a specific error page if appropriate.
      Parameters:
        `request` - current portlet request
        `response` - current portlet response
        `handler` - the executed handler, or null if none chosen at the time of the exception (for example, if multipart resolution failed)
        `ex` - the exception that got thrown during handler execution
      Returns:
        a corresponding ModelAndView to forward to, or `null` for default processing

    - #### resolveException

          ModelAndView resolveException(ResourceRequest request,
                                      ResourceResponse response,
                                      Object handler,
                                      Exception ex)

      Try to resolve the given exception that got thrown during on handler execution, returning a ModelAndView that represents a specific error page if appropriate.
      Parameters:
        `request` - current portlet request
        `response` - current portlet response
        `handler` - the executed handler, or null if none chosen at the time of the exception (for example, if multipart resolution failed)
        `ex` - the exception that got thrown during handler execution
      Returns:
        a corresponding ModelAndView to forward to, or `null` for default processing